from django.urls import path

from . import views

app_name = 'affiliates_app'

urlpatterns = [
    path('', views.home_affiliates, name='home_affiliates'),
    path('about-ensolanka/', views.about_us_ff, name='about_us_aff'),
    path('terms-and-conditions/', views.affiliate_terms, name='terms'),
    path('faq/', views.affiliate_faq, name='faq'),
    path('privacy-policy/', views.affiliate_privacy_policy, name='privacy_policy'),
    path('cookie-policy/', views.affiliate_cookie_policy, name='cookie_policy'),
    path(
        'refund-payment-policy/',
        views.affiliate_refund_payment_policy,
        name='refund_payment_policy'
    ),
    path('disclaimer/', views.affiliate_disclaimer, name='disclaimer'),
    path('contact/', views.contact_page_aff, name='contact_page_aff'),
    path('success/', views.success_page, name='success_page'),
    path('register/', views.affiliate_register, name='affiliate_register'),
    path('login/', views.AffiliateLoginView.as_view(), name='affiliate_login'),  
    path('password-reset/', views.AffiliatePasswordResetView.as_view(), name='affiliate_password_reset'),
    path('password-reset/done/', views.AffiliatePasswordResetDoneView.as_view(), name='affiliate_password_reset_done'),
    path('reset/<uidb64>/<token>/', views.AffiliatePasswordResetConfirmView.as_view(), name='affiliate_password_reset_confirm'),
    path('reset/done/', views.AffiliatePasswordResetCompleteView.as_view(), name='affiliate_password_reset_complete'),
    path('dashboard/', views.affiliate_dashboard, name='affiliate_dashboard'),
    path('dashboard/generate-card/', views.generate_business_card, name='generate_business_card'),
    path('profile/', views.affiliate_profile_page, name='affiliate_profile'),
    path('profile/edit/', views.affiliate_edit_profile, name='affiliate_edit_profile'),
    path('request-payout/', views.request_affiliate_payout, name='request_affiliate_payout'),
    path('profile/upload-image/', views.upload_affiliate_profile_image, name='affiliate_upload_profile_image'),
    path('profile/change-username/', views.affiliate_change_username, name='affiliate_change_username'),
    path('profile/change-password/', views.affiliate_change_password, name='affiliate_change_password'),
    path('referrals/', views.affiliate_referral_list, name='affiliate_referral_list'),
    path('dashboard/get-cards/', views.get_affiliate_cards, name='get_affiliate_cards'),
    path('resources/', views.marketing_resources, name='marketing_resources'),
    path(
        'account/activate-property-care/',
        views.activate_property_manager_from_affiliate,
        name='activate_property_manager_from_affiliate'
    ),

    path(
        'account/activate-rental-owner/',
        views.activate_rental_owner_from_affiliate,
        name='activate_rental_owner_from_affiliate'
    ),
    path(
        'information-center/',
        views.affiliate_information_center,
        name='affiliate_information_center'
    ),
]